%global hghash eeddbfdb41fa
%global hgdate 20110711

Name:		pino
Version:	0.3
Release:	0.3.%{?hgdate}hg%{?dist}
Summary:	A fast, easy and free Twitter and identi.ca client
Group:		Applications/Internet
License:	LGPLv3+
URL:		http://pino-app.appspot.com/
#Source0:	http://pino-twitter.googlecode.com/files/%{name}-%{version}.tar.bz2
# The source is generated from the hg snapshot using the following command
# hg clone http://bitbucket.org/troorl/pino3
# hg archive -t tbz2 -r %{hghash} pino3-%{hghash}.tar.bz2
Source0:	pino3-%{hghash}.tar.bz2
# fix ambiguous references: http://bitbucket.org/troorl/pino3/issue/4/patch-for-some-more-ambiguous-reference
Patch0:		pino-0.3-ambiguous.patch
# define type void when using Glib.Thread.create: http://bitbucket.org/troorl/pino3/issue/5/declare-variable-type-when-creating
Patch1:		pino-0.3-void.patch
# mark output parameter: http://bitbucket.org/troorl/pino3/issue/6/mark-output-parameter-in-visual_stylevala
Patch2:		pino-0.3-out.patch
BuildRequires:	cmake vala gettext desktop-file-utils
BuildRequires:	libgee-devel libnotify-devel libsoup-devel libxml2-devel
BuildRequires:	webkitgtk-devel unique-devel gtkspell-devel rest-devel
Requires:	hicolor-icon-theme

%description
Pino is Twitter and identic.ca client for Linux desktop. It's simple and fast. 
Pino is written in Vala language and compiled to the native binary code. 

%prep
%setup -q -n pino3-%{hghash}


grep -q 'StartupNotify' %{name}.desktop || \
	echo 'StartupNotify=true' >> %{name}.desktop

%build
# We need to do this so pino can link against rest-0.7
if [ -f %{_libdir}/pkgconfig/rest-0.7.pc ]; then
	ln -s %{_libdir}/pkgconfig/rest-0.7.pc rest-0.6.pc
	ln -s %{_libdir}/pkgconfig/rest-extras-0.7.pc rest-extras-0.6.pc
	export PKG_CONFIG_PATH=%{_builddir}/pino3-%{hghash}
fi

%{cmake}  -DUBUNTU_ICONS=OFF -DENABLE_DEBUG=OFF .
make %{?_smp_mflags}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT

# Remove docs from /usr/share/doc/pino
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

# Remove indicator file before we package the whole indicator stack from ubuntu
rm -rf $RPM_BUILD_ROOT%{_datadir}/indicators

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.3.20101112hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 12 2010 Adam Williamson <awilliam@redhat.com> - 0.3-0.2.20101112hg
- Update to newer 0.3 snapshot (fixes some build issues)
- add ambiguous.patch to fix more build issues
- add void.patch to fix more build issues
- add out.patch to fix a final build issue

* Wed Sep 15 2010 Chen Lei <supercyper@163.com> - 0.3-0.1.20100915hg
- Update to 0.3 snapshot

* Wed Jul 07 2010 Chen Lei <supercyper@163.com> - 0.2.11-1
- Update to 0.2.11

* Wed May 26 2010 Chen Lei <supercyper@163.com> - 0.2.10-1
- Update to 0.2.10
- Remove message indicator file for pino
- Update spec to build on cmake 2.6.x

* Sun May 16 2010 Chen Lei <supercyper@163.com> - 0.2.9-1
- Migration on Cmake build system
- Update spec to fix directory ownership
- Add StartupNotify to desktop file

* Mon May 10 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.8-1
- Important bug fixes
- option for link colors
- update spec to match latest guidelines w.r.t buildroot
- update summary and description to note identi.ca support

* Fri Apr 30 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.7-1
- Update to 0.2.7 upstream
- Several changes to reduce number of crashes

* Tue Apr 13 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.6-1
- Update to 0.2.6 upstream

* Sun Apr 04 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.5-1
- Update to 0.2.5 upstream

* Fri Apr 02 2010 Filipe Rosset <rosset.filipe@gmail.com> - 0.2.4-5
- Update to 0.2.4
- rpmlint now is silent
- Resolves:rh#564722-FTBFS pino-0.1.4-1.fc13: ImplicitDSOLinking

* Mon Jan 11 2010 Allisson Azevedo <allisson@gmail.com> - 0.1.2-1
- Update to 0.1.2
- Fixed macro consistency
- Changed Waf build to use verbose mode
- Fixed timestamp for Source0
- Use Parallel make for build

* Mon Jan  4 2010  Allisson Azevedo <allisson@gmail.com> - 0.1.1-1
- Update to 0.1.1
- Using waf as BR
- Updated description
- Using rpmmacros in build section

* Tue Dec 29 2009  Allisson Azevedo <allisson@gmail.com> - 0.1.0-1
- Update to 0.1.0

* Mon Dec 28 2009 Allisson Azevedo <allisson@gmail.com> - 0.1.0-0.2.rc3
- Update to 0.1.0rc3
- Fix BR
- Added desktop file validate for pino.desktop

* Wed Dec 23 2009 Allisson Azevedo <allisson@gmail.com> - 0.1.0-0.1.rc2
- Initial RPM release
